/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.blocks.wood;

import java.util.HashMap;
import java.util.Map;

import net.minecraft.block.BlockTrapDoor;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.Material;
import net.minecraft.init.Blocks;

import net.dries007.tfc.api.types.Tree;
import net.dries007.tfc.util.OreDictionaryHelper;

public class BlockTrapDoorWoodTFC extends BlockTrapDoor
{
    private static final Map<Tree, BlockTrapDoorWoodTFC> MAP = new HashMap<>();

    public static BlockTrapDoorWoodTFC get(Tree wood)
    {
        return MAP.get(wood);
    }

    public final Tree wood;

    public BlockTrapDoorWoodTFC(Tree wood)
    {
        super(Material.field_151575_d);
        this.wood = wood;
        if (MAP.put(wood, this) != null) throw new IllegalStateException("There can only be one.");
        func_149711_c(0.5F);
        func_149672_a(SoundType.field_185848_a);
        OreDictionaryHelper.register(this, "wood", "trapdoor");
        Blocks.field_150480_ab.func_180686_a(this, 5, 20);
    }
}
