/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.world.classic.biomes;

import javax.annotation.Nonnull;

import net.minecraft.world.biome.Biome;
import net.minecraft.world.biome.BiomeDecorator;

import net.minecraft.world.biome.Biome.BiomeProperties;

public class BiomeTFC extends Biome
{
    public final int waterPlantsPerChunk;
    public final int lilyPadPerChunk;

    public BiomeTFC(BiomeProperties properties)
    {
        this(properties, 0, 0);
    }

    public BiomeTFC(BiomeProperties properties, int lilyPadPerChunk, int waterPlantsPerChunk)
    {
        super(properties);
        this.lilyPadPerChunk = lilyPadPerChunk;
        this.waterPlantsPerChunk = waterPlantsPerChunk;

        // throw out the first decorator, because it's missing the lilypad & plant settings
        this.field_76760_I = func_76729_a();
    }

    @Override
    public String toString()
    {
        return func_185359_l();
    }

    @Override
    @Nonnull
    public BiomeDecorator func_76729_a()
    {
        // todo: Forge event wrap this
        return new BiomeDecoratorTFC(lilyPadPerChunk, waterPlantsPerChunk);
    }

    // todo : temp, climate, etc
}
